### Virtual Method

# EDataServer Client get_backend_property_sync

since: 3.2

#### Declaration [src]

    gboolean
    get_backend_property_sync (
      EClient* client,
      const gchar* prop_name,
      gchar** prop_value,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Queries `client`‘s backend for a property of name `prop_name`.

Available since: 3.2

#### Parameters

`prop_name`

  Type: `const gchar*`

  Property name, whose value to retrieve; cannot be `NULL`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`prop_value`

  Type: `gchar**`

  Retrieved backend property value; cannot be `NULL`.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` otherwise.